PIN-gated custodial sign and send
curl --request POST \
--url https://app.d-sports.org/api/wallets/{address}/sign-transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pin": "<string>",
"to": "<string>",
"value": "<string>",
"chainId": 123,
"data": "<string>",
"idempotencyKey": "<string>"
}
'import requests
url = "https://app.d-sports.org/api/wallets/{address}/sign-transaction"
payload = {
"pin": "<string>",
"to": "<string>",
"value": "<string>",
"chainId": 123,
"data": "<string>",
"idempotencyKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pin: '<string>',
to: '<string>',
value: '<string>',
chainId: 123,
data: '<string>',
idempotencyKey: '<string>'
})
};
fetch('https://app.d-sports.org/api/wallets/{address}/sign-transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Wallets
PIN-gated custodial sign and send
Signs and broadcasts server-side. Private key never leaves the server. Returns .
POST
/
api
/
wallets
/
{address}
/
sign-transaction
PIN-gated custodial sign and send
Authorizations
Clerk session token. Use Authorization: Bearer .
Path Parameters
Pattern:
^0x[a-fA-F0-9]{40}$Body
application/json
Response
{ success: true, data: { txHash, chainId } }
Was this page helpful?
